Subject: [AAA-WG]: Issue 93: End-to-End Identifier

From: Pat Calhoun <[email-masked]>
Date: Tue, 10 Jul 2001 10:58:40 -0700

Here's my proposed language to resolve issue 93, following
Paul's proposal found at http://www.merit.edu/mail.archives/aaa-wg/msg01528.html

"End-to-End Identifier

   The End-to-End Identifier is used to detect duplicate messages. Upon
   reboot, the high order 12 bits are initiated to contain the low order
   12 bits of current time, while the low order 20 bits is set to zero (0).
   For devices that take less than one second to reboot, the high order
   12 bits should be incremented by one. Senders of request or answer
   messages MUST insert a unique identifier on each message, by monotonically
   incrementing the low order 20 bits. The End-to-End Identifier MUST NOT
   be modified by relay agents. The combination of the Origin-Host and
   this field is used to detect duplicates. Duplicate answer messages
   that are to be locally consumed (see Section 6.2) SHOULD be silently
   discarded."

Comments appreciated,

PatC